Summary:	A slick-looking LightDM greeter
Name:		slick-greeter
Version:	1.0.8
Release:	13%{?dist}
License:	GPLv3+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	slick-greeter-fedora.gschema.override
Source2:	slick-greeter-rhel.gschema.override
Source3:	slick-greeter.conf
Patch0:     Silence-GTK-3.22-warnings-relating-to-deprecation-in.patch
%if 0%{?fedora} || 0%{?rhel} >= 8
Patch1:     Remove-at-spi-load-kill-code.patch
%endif
Patch2:     fix_session_cleanup.patch

# Patches from upstream.

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	vala

Provides:	lightdm-greeter = 1.2
Provides:	lightdm-slick-greeter = %{version}

Requires:	lightdm%{?_isa}
# Themeing require
Requires:	arc-theme
%if 0%{?fedora}
Requires:	desktop-backgrounds-compat
%endif # 0%%{?fedora}
%if 0%{?rhel}
Requires:	system-backgrounds-gnome
%endif # 0%%{?rhel}
%if 0%{?fedora} || 0%{?rhel} >= 7
Requires:	google-noto-sans-fonts
%endif # 0%%{?fedora} || 0%{?rhel} >= 7
Requires:	mint-y-icons

%if 0%{?fedora}
Recommends:	lightdm-settings
%endif # 0%%{?fedora}

%description
A cross-distro LightDM greeter based on unity-greeter.


%prep
%autosetup -p 1
install -pm 0644 %{SOURCE3} slick-greeter.conf.example
mkdir -p m4

%if (0%{?rhel} && 0%{?rhel} >= 7)
for f in $(%{__grep} -Rl '#!.*python3') ; do
  %{__sed} -e 's~#!.*python3~#!/usr/bin/python2~g' < ${f} > ${f}.new
  /bin/touch -r ${f}.new ${f}
  mode="$(%{_bindir}/stat -c '%a' ${f})"
  %{__mv} -f ${f}.new ${f}
  %{__chmod} -c ${mode} ${f}
done
%endif # (0%%{?rhel} && 0%%{?rhel} >= 7)

NOCONFIGURE=1 ./autogen.sh


%build
%configure
%make_build V=1


%install
%make_install V=1

install -Dpm 0644 debian/90-slick-greeter.conf \
  %{buildroot}%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf

%if 0%{?fedora}
install -Dpm 0644 %{SOURCE1} \
%endif # 0%%{?fedora}
%if 0%{?rhel}
install -Dpm 0644 %{SOURCE2} \
%endif # 0%%{?rhel}
  %{buildroot}%{_datadir}/glib-2.0/schemas/10_slick-greeter.gschema.override

install -Dpm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/lightdm/slick-greeter.conf

chmod a+x %{buildroot}/%{_bindir}/slick-greeter-check-hidpi

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/xgreeters/slick-greeter.desktop


%pre
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/slick-greeter.desktop 2> /dev/null ||:


%if (0%{?rhel} && 0%{?rhel <= 7})
%postun
if [ $1 -eq 0 ] ; then
	/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif # (0%%{?rhel} && 0%%{?rhel <= 7})


%files -f %{name}.lang
%doc debian/changelog README.md slick-greeter.conf.example
%license debian/copyright COPYING
%{_bindir}/slick-greeter-check-hidpi
%{_bindir}/slick-greeter-set-keyboard-layout
%{_sbindir}/slick-greeter
%config(noreplace) %{_sysconfdir}/lightdm/slick-greeter.conf
%{_datadir}/slick-greeter/
%{_datadir}/xgreeters/
%{_datadir}/glib-2.0/schemas/*.gschema.*
%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf
%{_mandir}/man1/slick-greeter*


%changelog
* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-13
- Use Patch1 on newer distros only

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-12
- Preserve mode of files when changing hashbang

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-11
- Fix regex for EPEL

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-10
- Use Python2 on EPEL <= 7

* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-9
- Make sure `m4`-dir exists

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-8
- Properly compile gschemas on epel <= 7

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-7
- Use different gschema overrides for Fedora and EPEL

* Tue Aug 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-6
- Require google-noto-sans-fonts on epel7 too

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 06 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.8-3
- remove tooltip override

* Thu Jul 06 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.8-2
- Add patch to remove at-spi kill code, fixes log warnings

* Tue Jun 20 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.8-1
- Update to 1.0.8 release

* Wed Jun 14 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.7-2
- Add patch to kill onboard and orca on session start

* Tue Jun 13 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.7-1
- Update to 1.0.7 release

* Tue May 30 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.6-1
- Update to 1.0.6 release

* Fri May 26 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-2
- Add upstream patch to improve gtk3 compatibility

* Thu May 25 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-1
- Update to 1.0.5 release

* Wed May 24 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.4-2
- Add upstream patch to fix background

* Tue May 23 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.4-1
- Update to 1.0.4 release

* Sat May 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2 release (rhbz#1450544)

* Fri May 05 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-1
- Update to 1.0.1 release

* Sat Apr 15 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-15
- Remove unused file
- Fix override schema
- Add virtual provides

* Wed Apr 12 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-14
- Revert previous change, lightdm-settings is noarch

* Tue Apr 11 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-13
- Enforce arch on Recommends: lightdm-settings

* Mon Apr 10 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-12
- Add some patches for enhancements from upstream

* Mon Apr 10 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-11
- Set `org.gnome.desktop.interface toolkit-accessibility true`
  in gschema.override

* Sat Apr 08 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-10
- Add hidpi on or off support

* Sat Apr 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-9
- Set system-defaults in gschema-override

* Sat Apr 08 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-8
- Fix permissions for slick-greeter-check-hidpi

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-7
- Fix font used in default config

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-6
- Add several fixes from upstream
- Add new binary slick-greeter-check-hidpi
- Add changelog and copyright from debian-directory

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-5
- Fix conditional

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-4
- Add Recommends: lightdm-settings

* Fri Apr 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.0-3
- Use Noto Sans Regular font on Fedora

* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-2
- Do review changes

* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-1
- First build
